For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieveing

This API endpoint allows you to retrieve a image. To retrieve an image, you must provide the image_id.

const imageId = "ID_OF_YOUR_IMAGE";

const getImage = async (imageId) => {
    const getImageResponse = await fetch(
      `https://api.autoenhance.ai/v3/images/${imageId}`,
      { method: "GET" }
    );

    const image = await getOrderResponse.json();
}
image_id = "ID_OF_YOUR_IMAGE";

def get_image(image_id):
    url = f"https://api.autoenhance.ai/v3/images/{image_id}"
    
    response = requests.get(url)
    response_data = response.json()
    
    return response_data
$image_id = "ID_OF_YOUR_IMAGE";

function get_image($image_id) {
    $url = "https://api.autoenhance.ai/v3/images/$image_id";

    $options = array(
        'http' => array(
            'method'  => 'GET',
        ),
    );

    $context  = stream_context_create($options);
    $result = file_get_contents($url, false, $context);

    if ($result === FALSE) {
        return 'Error getting image';
    }

    $image = json_decode($result, true);
   
    return $image;
}

The response after successfully fetching an image will contain all the details of your image.

Specification

Retrieve Image

get
Path parameters
idstringRequired
Responses
200

Successful response

application/json
ai_versionstringOptional

The version of the AI model to use for enhancing the image. Versions ending in an .x will use the latest minor version as soon as it's published.

cloud_typestring · enum · nullableOptional

The type of clouds in the new sky to replace the original sky with. Options include: CLEAR, LOW_CLOUD, HIGH_CLOUD

Possible values:
date_addedintegerOptional

The date the image was registered with Autoenhance.

downloadedbooleanOptional

Whether image has been already downloaded and paid for.

enhancebooleanOptional

Whether to enhance the image.

Default: true
enhance_typestring · enumOptional

The type of enhancement to apply to the image. PROPERTY or PROPERTY_USA is used with AI version < 4.0, for >= 4.0 use WARM or NEUTRAL..

Possible values:
finetune_settingsany ofOptional
object · nullableOptional
or
object · FinetuneOptionsOptional
image_idstring · uuidOptional
image_namestringOptional
lens_correctionbooleanOptional

Correct any lens distortion in the image.

Default: true
order_idanyRead-onlyOptional
parent_image_idstring · nullableOptional

The ID of the parent image if this is a sub-image created for premium restaging. Null for original images.

preset_idanyRead-onlyOptional

The ID of the preset that was applied to the image.

preset_versionany · nullableRead-onlyOptional

Preset version applied when the image was last processed with a preset.

privacyboolean · nullableOptional

Whether to blur any faces or license plates in the image.

ratinginteger · max: 5Optional

A rating between 0 and 5 on how good the image enhancmeent. Higher is better.

restageany ofOptional

Restage options for in-painting or modifying scene elements. Allows correcting details like lighting a fireplace, removing fingerprints from a TV screen, or removing unwanted items like tripods.

or
object · nullableOptional
scenestringOptional

The detected scene of the image i.e garden, patio, kitchen, etc.

sky_replacementbooleanOptional

Whether the sky replacement feature was enabled for the image.

statusanyRead-onlyOptional

The status of the order.

status_reasonanyRead-onlyOptional

Reason for the image's current status

tripod_hideboolean · nullableOptional

Whether to crop the bottom of 360-degree images to hide the tripod. Note: This performs a simple crop and does not use generative in-painting.

upscalebooleanOptional

Whether to upscale the image.

user_idanyRead-onlyOptional

The user ID of the user who uploaded (owns) the image.

vertical_correctionbooleanOptional

Whether the vertical correction feature was enabled for the image.

window_pull_typestring · enum · nullableOptional

What type of window pull to apply to the image (Available since AI version >= 4.0, WITH_SKIES can only be used from AI version 5.2 or higher).

Possible values:
Other propertiesanyOptional
get/v3/images/{id}
GET /v3/images/{id} HTTP/1.1
Host: api:8080
Accept: */*
{
  "ai_version": "text",
  "cloud_type": "CLEAR",
  "date_added": 1,
  "downloaded": true,
  "enhance": true,
  "enhance_type": "property",
  "finetune_settings": {},
  "image_id": "123e4567-e89b-12d3-a456-426614174000",
  "image_name": "text",
  "lens_correction": true,
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "order_id": null,
  "parent_image_id": "text",
  "preset_id": null,
  "preset_version": null,
  "privacy": true,
  "rating": 1,
  "restage": {
    "fire_in_fireplaces": "AS_SHOT",
    "grass": "AS_SHOT",
    "photographer": "AS_SHOT",
    "sky": "AS_SHOT",
    "tvs": "AS_SHOT"
  },
  "scene": "text",
  "sky_replacement": true,
  "status": null,
  "status_reason": null,
  "tripod_hide": true,
  "upscale": true,
  "user_id": null,
  "vertical_correction": true,
  "window_pull_type": "NONE",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Last updated

Was this helpful?